Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.util
Class ExpressionPrinter

    java.lang.Object
      com.sun.msv.grammar.util.ExpressionPrinter

All Implemented Interfaces:
  ExpressionVisitor

public class ExpressionPrinter
extends java.lang.Object
implements ExpressionVisitor

creates a string representation of the expression. useful for debug and dump.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`static int` | `CONTENTMODEL` in this mode, element declaration is one of the terminal symbol of stringnization.
`static ExpressionPrinter` | `contentModelInstance`
`static int` | `FRAGMENT` in this mode, reference to other expression is one of the terminal symbol of stringnization.
`static ExpressionPrinter` | `fragmentInstance`
`static ExpressionPrinter` | `smallestInstance`

Method Summary
`java.lang.Object` | `onAnyString()`
`java.lang.Object` | `onAttribute(AttributeExp exp)`
`java.lang.Object` | `onChoice(ChoiceExp exp)`
`java.lang.Object` | `onConcur(ConcurExp exp)`
`java.lang.Object` | `onData(DataExp exp)`
`java.lang.Object` | `onElement(ElementExp exp)`
`java.lang.Object` | `onEpsilon()`
`java.lang.Object` | `onInterleave(InterleaveExp exp)`
`java.lang.Object` | `onList(ListExp exp)`
`java.lang.Object` | `onMixed(MixedExp exp)`
`java.lang.Object` | `onNullSet()`
`java.lang.Object` | `onOneOrMore(OneOrMoreExp exp)`
`java.lang.Object` | `onOther(OtherExp exp)`
`java.lang.Object` | `onRef(ReferenceExp exp)`
`java.lang.Object` | `onSequence(SequenceExp exp)`
`java.lang.Object` | `onValue(ValueExp exp)`
`static java.lang.String` | `printContentModel(Expression exp)`
`static java.lang.String` | `printFragment(Expression exp)`
`java.lang.String` | `printRefContainer(ReferenceContainer cont)` dumps all the contents of ReferenceContainer.
`static java.lang.String` | `printSmallest(Expression exp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRAGMENT

    public static final int FRAGMENT

  in this mode, reference to other expression is one of the terminal symbol of stringnization. Suitable to dump the entire grammar

  See Also:
    Constant Field Values

### CONTENTMODEL

    public static final int CONTENTMODEL

  in this mode, element declaration is one of the terminal symbol of stringnization. Suitable to dump the content model of element declarations.

  See Also:
    Constant Field Values

### fragmentInstance

    public static ExpressionPrinter fragmentInstance

### contentModelInstance

    public static ExpressionPrinter contentModelInstance

### smallestInstance

    public static ExpressionPrinter smallestInstance

Method Detail

### printFragment

    public static java.lang.String printFragment(Expression exp)

### printContentModel

    public static java.lang.String printContentModel(Expression exp)

### printSmallest

    public static java.lang.String printSmallest(Expression exp)

### printRefContainer

    public java.lang.String printRefContainer(ReferenceContainer cont)

  dumps all the contents of ReferenceContainer. this method is a useful piece to dump the entire grammar.

### onAttribute

    public java.lang.Object onAttribute(AttributeExp exp)

  Specified by:
    `onAttribute` in interface `ExpressionVisitor`

### onChoice

    public java.lang.Object onChoice(ChoiceExp exp)

  Specified by:
    `onChoice` in interface `ExpressionVisitor`

### onConcur

    public java.lang.Object onConcur(ConcurExp exp)

  Specified by:
    `onConcur` in interface `ExpressionVisitor`

### onInterleave

    public java.lang.Object onInterleave(InterleaveExp exp)

  Specified by:
    `onInterleave` in interface `ExpressionVisitor`

### onElement

    public java.lang.Object onElement(ElementExp exp)

  Specified by:
    `onElement` in interface `ExpressionVisitor`

### onOneOrMore

    public java.lang.Object onOneOrMore(OneOrMoreExp exp)

  Specified by:
    `onOneOrMore` in interface `ExpressionVisitor`

### onMixed

    public java.lang.Object onMixed(MixedExp exp)

  Specified by:
    `onMixed` in interface `ExpressionVisitor`

### onList

    public java.lang.Object onList(ListExp exp)

  Specified by:
    `onList` in interface `ExpressionVisitor`

### onEpsilon

    public java.lang.Object onEpsilon()

  Specified by:
    `onEpsilon` in interface `ExpressionVisitor`

### onNullSet

    public java.lang.Object onNullSet()

  Specified by:
    `onNullSet` in interface `ExpressionVisitor`

### onAnyString

    public java.lang.Object onAnyString()

  Specified by:
    `onAnyString` in interface `ExpressionVisitor`

### onSequence

    public java.lang.Object onSequence(SequenceExp exp)

  Specified by:
    `onSequence` in interface `ExpressionVisitor`

### onData

    public java.lang.Object onData(DataExp exp)

  Specified by:
    `onData` in interface `ExpressionVisitor`

### onValue

    public java.lang.Object onValue(ValueExp exp)

  Specified by:
    `onValue` in interface `ExpressionVisitor`

### onOther

    public java.lang.Object onOther(OtherExp exp)

  Specified by:
    `onOther` in interface `ExpressionVisitor`

### onRef

    public java.lang.Object onRef(ReferenceExp exp)

  Specified by:
    `onRef` in interface `ExpressionVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD